Get Callback Log

Get a list of all callbacks we produced for you, whether we could sent them to you or not. This log contains all callbacks Pliant produced, together with a status and further metadata to let you investigate problems etc. You can add optional filters to narrow down the results. To get the payload of a specific callback, use the GET /callbacks/{callbackId} endpoint.

Query Params
uuid

Filter by organization id.

uuid
deprecated

Filter by single entity id.

entityIds
array of uuids

Filter by (multiple) entity ids.

entityIds
string

Filter by event type.

string
enum

Filter by status. The status of the callback. The callback starts as UNSENT, transitions to IN_PROGRESS, then to SENT or FAILED. If the callback is skipped (mostly due to manual interventions), it will be marked as SKIPPED. The status TO_BE_SEND_IMMEDIATELY is a short-lived, intermediate status similar to UNSENT.

Allowed:
date-time

The from date to filter by as zero-offset UTC time. The date boundary is inclusive. Meaning we compare with >=.

date-time

The to date to filter by as zero-offset UTC time. The date boundary is inclusive. Meaning we compare with <=.

string
enum
Defaults to createdAt

The date field to filter by if fromDate and toDate are present.

Allowed:
integer

The maximum number of items to return per page. The default value if not provided is 100, the maximum allowed value is 1000.

integer

The page number to return, starting with 0, this counts up to the total number of pages. The total number of pages is determined by the total number of records divided by the limit.

string
enum

The field to sort by.

Allowed:
string
enum

The direction to sort by.

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json